(multiplatform) replication problem

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

(multiplatform) replication problem

W.P.
Hi there,
I have following setup:
- master database, 9.5.7, on I386 (Pentium M),
now i want to replicate database to:
- slave database. 9.5.7 on armhf (OrangePiPC+).
Is in possible?
I already followed "replication setup"
https://www.howtoforge.com/tutorial/postgresql-replication-on-ubuntu-15-04/
Downloaded and compiled 9.5.7 (same as on master DB) from source, as at
the beginning on ARM there was 9.4 PgSQL and I got "incompatible server
version" at 'pg_basebackup' step. If I initialize DB from scratch it
starts w/o problem.

Now "pg_basebackup" step succedes, but trying to start slave gives error:
'FATAL:  incorrect checksum in control file'

1). Is it possible to manage such configuration?
2). How?

Best regards
Wawrzyniec Piotrzkowski
Poland

Reply | Threaded
Open this post in threaded view
|

Re: (multiplatform) replication problem

Jeff Janes
On Tue, Jan 8, 2019 at 10:49 AM W.P. <[hidden email]> wrote:
Hi there,
I have following setup:
- master database, 9.5.7, on I386 (Pentium M),
now i want to replicate database to:
- slave database. 9.5.7 on armhf (OrangePiPC+).
Is in possible?

I think the error message is telling you that physical replication is not possible across platforms as different as this.  You could go through the output of pg_controldata line by line to see what the differences are.  Although perhaps someone can just tell you off the top of their head.

Perhaps you can use logical replication instead, but to do that you should probably upgrade your PostgreSQL version to at least v10.

Cheers,

Jeff